{*
 Шаблон вычисления "Копировать поле из текущей таблицы в связанную"
*}

$line['{if $gen_field.check_link_field}{$gen_field.check_link_field}{else}{$gen_field.link_field_id}{/if}']['{$gen_field.field}'] = $line['{$cur_field}'];
{if $cur_field_type == 6 || $cur_field_type == 9}
    $user_agent = $_SERVER["HTTP_USER_AGENT"];
    if (strpos($user_agent, "MSIE") !== false) {
        $exp = "\n\r";
    } else {
        $exp = "\r\n";
    }
    $files = explode($exp, $line['{$cur_field}']);
    $fieldId = {$cur_field|replace:'f':''};
    $lineId = $line['id'];
    foreach ($files as $fname) {
        if(!$fname) {
            return;
        }
        // Получаем объект поля
        $fieldsRep = \CB\Data\Fields\FieldRepository::getInstance();
        $field = $fieldsRep->get($fieldId); // Находим поле по id поля. Чтобы получить id таблицы

        if (!$field) {
            return;
        }

        $tableId = $field->get('table_id'); // Получаем ID таблицы
        $commonData = \CB\Core::get(\CB\Core::COMMON_DATA); // Получаем объект работы с данными
        $tableModels = $commonData->getTable($tableId); // Получаем объект таблицы

        if (!$tableModels) {
            return;
        }

        if (!$lineId) {
            return;
        }

        $recordObject = $tableModels->getRecord($lineId); // Получаем объект записи

        if (!$recordObject) {
            return;
        }

        $curFilesObject = $recordObject->get('f' . $fieldId); // Получаем объект поля

        if (!$curFilesObject) {
            return;
        }
        save_data_file({$gen_field.field|replace:'f':''}, $line['{if $gen_field.check_link_field}{$gen_field.check_link_field}{else}{$gen_field.link_field_id}{/if}']['id'], $fname, $curFilesObject->getContent($fname));
    }
{/if}